eric ide

Issue377

Classification
Title: Debug/run crash
Type: feature request Product: eric6
Process
Priority: normal    
Status: closed Resolution: implemented
Superseder: Nosy List: detlev, termim
Assigned to: Keywords:

Created on 2021-02-21.22:20:50 by termim, last changed by detlev.

Files
File Name Uploaded Description Remove
afile.py termim, 2021-02-21.22:20:49
Messages (4.0)
msg1442 (view) Author: detlev Date: 2021-03-15.16:58:02
The requested feature has been implemented with changeset 29fb6d420a25. It will be part of 
release 21.4.
msg1430 (view) Author: termim Date: 2021-03-10.03:03:25
Would it be possible to add this checkbox (enable/disable redirect) to
the run/debug dialogs to be able control it on the per run case?
msg1412 (view) Author: detlev Date: 2021-02-23.16:52:37
In order to redirect output of the script run in the debugger backend, eric changes the 
system input/output channels to its socket connection to the debugger frontend. This 
connection is killed by the test script. If a program fiddles around with sys.stdout or 
sys.stderr, the redirection of these channels to the IDE should be disabled (Debugger-
>Python3 config page).
msg1404 (view) Author: termim Date: 2021-02-21.22:20:49
Run the attached script in a plain or debug mode
History
Date User Action Args
2021-03-15 16:58:02detlevsetstatus: open -> closed
resolution: implemented
messages: + msg1442
message_count: 3.0 -> 4.0
2021-03-15 16:57:49detlevsetstatus: closed -> open
resolution: rejected -> (no value)
2021-03-10 03:03:25termimsetmessage_count: 2.0 -> 3.0
type: crash -> feature request
messages: + msg1430
2021-02-23 16:52:37detlevsetstatus: new -> closed
resolution: rejected
messages: + msg1412
message_count: 1.0 -> 2.0
nosy: + detlev
2021-02-21 22:20:50termimcreate